//- -----------
mixin link-html(href)
	//- attributes == {class: "btn"}
	a(class!=attributes.class href=href + '.html')= href
mixin link(href, name)
	//- attributes == {class: "btn"}
	a(class!=attributes.class href=href)= name
//- -----------
mixin lp-video-nolazy(src, youtube, width, height, intrinsicsize, alt)
	.aui-video(
		data-youtube=youtube
		)
		.embed-responsive.embed-responsive-16by9
		img.lazy(
			src=src,
			alt=alt,
			width=width,
			height=height,
			intrinsicsize=intrinsicsize
			)
mixin lp-video-src(src, type, youtube, width, height, intrinsicsize, alt)
	.aui-video(
		data-youtube=youtube
		)
		.embed-responsive.embed-responsive-16by9
		img.lazy(
			data-srcset=src + '.' + type + ' 1x, ' + src + '@2x.' + type + ' 2x',
			alt=alt,
			width=width,
			height=height,
			intrinsicsize=intrinsicsize
			)
//- -----------
//-
	mixin img-lazy(src, type, width, height, alt)
		img(
			src=src + '.' + type,
			width=width,
			height=height,
			alt=alt
			)&attributes(attributes)
	mixin img-lazy2(src, type, width, height, alt)
		img(
			srcset=src + '.' + type + ' 1x, ' + src + '@2x.' + type + ' 2x',
			width=width,
			height=height,
			alt=alt
			)&attributes(attributes)
mixin img-lazy(src, type, width, height, alt)
	img.lazy(
		data-src=src + '.' + type,
		width=width,
		height=height,
		alt=alt
		)&attributes(attributes)
mixin img-lazy2(src, type, width, height, alt)
	img.lazy(
		data-srcset=src + '.' + type + ' 1x, ' + src + '@2x.' + type + ' 2x',
		width=width,
		height=height,
		alt=alt
		)&attributes(attributes)
mixin img-slick(src, type, width, height, alt)
	img.lazy(
		data-lazy=src + '.' + type,
		width=width,
		height=height,
		alt=alt
		)&attributes(attributes)
//-
mixin img-slick-lazy(src, alt)
	img.lazy(
		data-lazy=src,
		alt=alt
		)&attributes(attributes)
mixin img-fluid-slick-lazy(src, alt)
	img.img-fluid.lazy(
		data-lazy=src,
		alt=alt
		)&attributes(attributes)
//-
mixin video(src, youtube, width, height, intrinsicsize, alt)
	.video(
		data-youtube='https://www.youtube.com/embed/' + youtube
		)
		.embed-responsive.embed-responsive-16by9
		img.lazy.embed-responsive-item(
			data-src=src,
			alt=alt,
			width=width,
			height=height,
			intrinsicsize=width + 'x' + height
			)
		svg.video__play(width='94', height='94')
			use(xlink:href='#play')
mixin video-scale(src, youtube, width, height, intrinsicsize, alt)
	.video.video-scale(
		data-youtube='https://www.youtube.com/embed/' + youtube
		)
		.embed-responsive.embed-responsive-16by9
		img.lazy.embed-responsive-item(
			data-src=src,
			alt=alt,
			width=width,
			height=height,
			intrinsicsize=width + 'x' + height
			)
		svg.video__play(width='94', height='94')
			use(xlink:href='#play')
//-mixin video2(youtube, width, height, alt)
	.video(
		data-youtube='https://www.youtube.com/embed/' + youtube
		)
		.embed-responsive.embed-responsive-16by9
			img.lazy.img-responsive.embed-responsive-item(
				data-src='//i3.ytimg.com/vi/' + youtube + '/maxresdefault.jpg',
				alt=alt,
				//width=width,
				//height=height,
				intrinsicsize=width + 'x' + height
				)
//- inputs
mixin form-control(type, name, label, placeholder, feedback)
	label.form-label(
		for='input' + name
		)= label
	input.form-control.form-control-lg.is-invalid(
		id='input' + name
		type=type
		name=name
		placeholder=placeholder
		aria-describedby='validation' + name + 'Feedback'
		required
		)
	div(
		id='#validation' + name + 'Feedback'
		class='invalid-feedback'
		)=feedback